=== debian/control ===
Source: ros-indigo-topic-proxy
Section: misc
Priority: extra
Maintainer: Johannes Meyer <meyer@fsr.tu-darmstadt.de>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-blob, ros-indigo-catkin, ros-indigo-message-generation, ros-indigo-roscpp
Homepage: https://github.com/tu-darmstadt-ros-pkg/topic_proxy
Standards-Version: 3.9.2

Package: ros-indigo-topic-proxy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-blob, ros-indigo-message-runtime, ros-indigo-roscpp
Description: topic_proxy implements a ROS service server and client to pull single messages from one master and optionally republish them locally.
